//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import Flutter
import NevisMobileAuthentication

struct LocalAccountsMethodHandler: MethodHandler {
	func execute(using client: MobileAuthenticationClient, with _: ChannelInMessage, result: @escaping FlutterResult) throws {
		let resultMessage = LocalAccountsResultMessage(accounts: client.localData.accounts)
		let arguments = try JsonMapper.encode(resultMessage)
		result(arguments)
	}
}
