// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'authorization_provider_test_data.dart';
import 'common_test_data.dart';
import 'request_headers_test_data.dart';

class DeregisterTestData {
  static final correctArguments = {
    'operationId': CommonTestData.operationId,
    'username': CommonTestData.username1,
    'onSuccessProvided': true,
    'onErrorProvided': true,
  };

  static final correctAllArguments = {
    'operationId': CommonTestData.operationId,
    'username': CommonTestData.username1,
    'aaid': CommonTestData.aaid1,
    'authorizationProvider':
        AuthorizationProviderTestData.typedCookieAuthorizationProviderMap,
    'requestHeaders': RequestHeadersTestData.requestHeadersMap,
    'onSuccessProvided': true,
    'onErrorProvided': true,
  };
}
