// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'authenticator_test_data.dart';
import 'common_test_data.dart';

class LocalDataTestData {
  static final accountsEmptyResponse = {
    'result': [],
  };

  static final accountsOneAccountResponse = {
    'result': [CommonTestData.account1]
  };

  static final accountsTwoAccountsResponse = {
    'result': [
      CommonTestData.account1,
      CommonTestData.account2,
    ]
  };

  static final authenticatorsEmptyResponse = {
    'result': [],
  };

  static final authenticatorsOneAuthenticatorResponse = {
    'result': [AuthenticatorTestData.typedAuthenticator1Map]
  };

  static final authenticatorsTwoAuthenticatorsResponse = {
    'result': [
      AuthenticatorTestData.typedAuthenticator1Map,
      AuthenticatorTestData.typedAuthenticator2Map,
    ]
  };

  static final deviceInformationResult = {
    'result': {
      'name': 'test',
      'fcmRegistrationToken': 'fcmTarget01',
      'idUsernamePairs': [],
    },
  };

  static final deleteAuthenticatorCorrectArguments = {
    'operationId': CommonTestData.operationId,
    'username': CommonTestData.username1,
    'aaid': CommonTestData.aaid1,
  };
}
