// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'common_test_data.dart';

class OnErrorTestData {
  static final correctArguments = {
    'operationId': CommonTestData.operationId,
    'exception': operationError,
  };

  static final wrongIdArguments = {
    'operationId': CommonTestData.wrongId,
    'exception': operationError,
  };

  static final operationError = {
    'type': 'FidoError',
    'data': {
      'description': 'An error occurred when invoking the FIDO UAF service.',
      'errorCode': {
        'type': 'USER_NOT_RESPONSIVE',
        'description': 'The user took too long to follow an instruction.',
      }
    }
  };
}
