//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import Flutter

func handleInvokeMethodResult(_ result: Any?) {
	if let error = result as? FlutterError {
		if let message = error.message {
			fatalError(message)
		}
		else {
			fatalError("An error occured in the method call handler. Please see the console log for more details.")
		}
	}
	if (result as? NSObject) == FlutterMethodNotImplemented {
		fatalError("Method not implemented in call handler!")
	}
}
