//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import Flutter
import NevisMobileAuthentication

struct LocalAuthenticatorsMethodHandler: MethodHandler {
	func execute(using client: MobileAuthenticationClient, with _: ChannelInMessage, result: @escaping FlutterResult) throws {
		let resultMessage = LocalAuthenticatorsResultMessage(authenticators: client.localData.authenticators)
		let arguments = try JsonMapper.encode(resultMessage)
		result(arguments)
	}
}
