//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import Flutter
import NevisMobileAuthentication

struct CancelMethodHandler: MethodHandler {
	func execute(using _: MobileAuthenticationClient, with message: ChannelInMessage, result: @escaping FlutterResult) throws {
		let message: CancelMessage = try validate(message: message)
		OperationCache.shared.cancel(by: message.operationId)
		result(EmptyResultMessage())
	}
}
