// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'package:nevis_mobile_authentication_sdk_platform_interface/nevis_mobile_authentication_sdk_platform_interface.dart';

class DeviceInformationTestData {
  static String id = 'id';
  static String username = 'username';
  static String deviceName = 'test';
  static String fcmRegistrationToken = 'fcmTarget01';

  static DeviceInformation deviceInformation = DeviceInformation(
    name: deviceName,
    fcmRegistrationToken: fcmRegistrationToken,
  );

  static final deviceInformationMap = {
    'name': deviceName,
    'fcmRegistrationToken': fcmRegistrationToken,
    'idUsernamePairs': [],
  };

  static final idUsernamePairMap = {
    'id': id,
    'username': username,
  };
}
