// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'common_test_data.dart';

class InitClientTestData {
  static final correctArguments = {
    'operationId': CommonTestData.operationId,
    'configuration': {
      'baseUrl': 'https://mycompany.com',
      'registrationRequestPath': '/uaf/1.1/request/registration/',
      'registrationResponsePath': '/uaf/1.1/registration/',
      'authenticationRequestPath': '/uaf/1.1/request/authentication/',
      'authenticationResponsePath': '/uaf/1.1/authentication/',
      'deregistrationRequestPath': '/uaf/1.1/request/deregistration/',
      'dispatchTargetResourcePath': '/token/dispatch/targets/',
      'networkTimeoutInSeconds': 60.0,
      'authenticationRetryIntervalInSeconds': 1,
      'authenticationMaxRetries': 3.0,
      'userInteractionTimeoutInSeconds': 240.0,
    },
    'onSuccessProvided': true,
    'onErrorProvided': true
  };
}
