// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'common_test_data.dart';
import 'authorization_provider_test_data.dart';

class OnSuccessTestData {
  static final correctArguments = {
    'operationId': CommonTestData.operationId,
  };

  static final correctArgumentsWithCookieProvider = {
    'operationId': CommonTestData.operationId,
    'authorizationProvider': {
      'type': 'CookieAuthorizationProvider',
      'data': AuthorizationProviderTestData.cookieAuthorizationProviderMap,
    }
  };

  static final correctArgumentsWithJwtProvider = {
    'operationId': CommonTestData.operationId,
    'authorizationProvider': {
      'type': 'JwtAuthorizationProvider',
      'data': AuthorizationProviderTestData.jwtAuthorizationProviderMap,
    }
  };

  static final wrongArguments = {
    'operationId': CommonTestData.wrongId,
  };
}
