// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'authenticator_test_data.dart';
import 'common_test_data.dart';

class OnValidCredentialsProvidedTestData {
  static final correctArguments = {
    'operationId': CommonTestData.operationId,
    'authenticator': AuthenticatorTestData.typedAuthenticator1Map,
  };
  static final wrongArguments = {
    'operationId': CommonTestData.wrongId,
    'authenticator': {
      'operationId': CommonTestData.wrongId,
      'aaid': CommonTestData.aaid1,
      'isSupportedByHardware': true,
      'registration': {
        'registeredAccounts': [
          {
            'username': CommonTestData.username1,
            'server': {'baseUrl': CommonTestData.baseUrl1}
          },
          {
            'username': CommonTestData.username2,
            'server': {'baseUrl': CommonTestData.baseUrl2}
          }
        ]
      },
      'userEnrollment': {
        'type': 'SdkUserEnrollment',
        'data': {
          'enrolledAccounts': [
            {
              'username': CommonTestData.username1,
              'server': {'baseUrl': CommonTestData.baseUrl1}
            }
          ]
        },
      },
    },
  };
}
