// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'common_test_data.dart';
import 'request_headers_test_data.dart';

class OobAuthenticationTestData {
  static final correctArguments = {
    'operationId': CommonTestData.operationId,
    'requestHeaders': RequestHeadersTestData.requestHeadersMap,
    'accountSelectorProvided': true,
    'authenticatorSelectorProvided': true,
    'pinEnrollerProvided': false,
    'pinUserVerifierProvided': true,
    'biometricUserVerifierProvided': true,
    'devicePasscodeUserVerifierProvided': true,
    'fingerprintUserVerifierProvided': true,
    'onSuccessProvided': true,
    'onErrorProvided': true,
  };
}
