// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'common_test_data.dart';
import 'out_of_band_payload_test_data.dart';
import 'request_headers_test_data.dart';

class OobOperationTestData {
  static final correctArguments = {
    'operationId': CommonTestData.operationId,
    'subOperationId': CommonTestData.operationId,
    'payload': OutOfBandPayloadTestData.payloadMap,
    'requestHeaders': RequestHeadersTestData.requestHeadersMap,
    'onSuccessProvided': false,
    'onErrorProvided': true,
    'onRegistrationProvided': true,
    'onAuthenticationProvided': true,
  };
}
