// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'common_test_data.dart';
import 'device_information_test_data.dart';
import 'pin_policy_test_data.dart';
import 'request_headers_test_data.dart';

class OobRegistrationTestData {
  static final correctArguments = {
    'operationId': CommonTestData.operationId,
    'pinPolicy': PinPolicyTestData.pinPolicyMap,
    'accountSelectorProvided': false,
    'authenticatorSelectorProvided': true,
    'pinEnrollerProvided': true,
    'pinUserVerifierProvided': false,
    'biometricUserVerifierProvided': true,
    'devicePasscodeUserVerifierProvided': true,
    'fingerprintUserVerifierProvided': true,
    'onSuccessProvided': true,
    'onErrorProvided': true,
  };

  static final correctAllArguments = {
    'operationId': CommonTestData.operationId,
    'deviceInformation': DeviceInformationTestData.deviceInformationMap,
    'pinPolicy': PinPolicyTestData.pinPolicyMap,
    'allowClass2Sensors': true,
    'allowDevicePasscodeAsFallback': true,
    'invalidateOnNewOsBiometrics': true,
    'requestHeaders': RequestHeadersTestData.requestHeadersMap,
    'accountSelectorProvided': false,
    'authenticatorSelectorProvided': true,
    'pinEnrollerProvided': true,
    'pinUserVerifierProvided': false,
    'biometricUserVerifierProvided': true,
    'devicePasscodeUserVerifierProvided': true,
    'fingerprintUserVerifierProvided': true,
    'onSuccessProvided': true,
    'onErrorProvided': true,
  };
}
